GrailsTestInterceptor (Grails 6.0.0)

Package: org.grails.test.support

## [Groovy] Class GrailsTestInterceptor

- org.grails.test.support.GrailsTestInterceptor

-     @groovy.transform.CompileStatic
      class GrailsTestInterceptor
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private org.springframework.context.ApplicationContext` | `appCtx` |
    `private GrailsTestMode` | `mode` |
    `private GrailsTestRequestEnvironmentInterceptor` | `requestEnvironmentInterceptor` |
    `private java.lang.Object` | `test` |
    `private java.lang.String[]` | `testClassSuffixes` |
    `private GrailsTestTransactionInterceptor` | `transactionInterceptor` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsTestInterceptor (java.lang.Object test, GrailsTestMode mode, org.springframework.context.ApplicationContext appCtx, java.lang.String[] testClassSuffixes)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.Object` | `autowireIfNecessary()`
    `` | `protected GrailsTestAutowirer` | `createAutowirer()`
    `` | `protected GrailsTestRequestEnvironmentInterceptor` | `createRequestEnvironmentInterceptor()`
    `` | `protected GrailsTestTransactionInterceptor` | `createTransactionInterceptor()`
    `` | `void` | `destroy()`
    `` | `protected java.lang.Object` | `destroyRequestEnvironmentIfNecessary()`
    `` | `protected java.lang.Object` | `destroyTransactionIfNecessary()`
    `` | `protected java.lang.String` | `getControllerName()`
    `` | `void` | `init()`
    `` | `protected java.lang.Object` | `initRequestEnvironmentIfNecessary()`
    `` | `protected java.lang.Object` | `initTransactionIfNecessary()`
    `` | `void` | `wrap(groovy.lang.Closure body)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private org.springframework.context.ApplicationContext appCtx

    - #### private GrailsTestMode mode

    - #### private GrailsTestRequestEnvironmentInterceptor requestEnvironmentInterceptor

    - #### private java.lang.Object test

    - #### private java.lang.String[] testClassSuffixes

    - #### private GrailsTestTransactionInterceptor transactionInterceptor

  - ### Constructor Detail

    - #### GrailsTestInterceptor(java.lang.Object test, GrailsTestMode mode, org.springframework.context.ApplicationContext appCtx, java.lang.String[] testClassSuffixes)

  - ### Method Detail

    - #### protected java.lang.Object autowireIfNecessary()

    - #### protected GrailsTestAutowirer createAutowirer()

    - #### protected GrailsTestRequestEnvironmentInterceptor createRequestEnvironmentInterceptor()

    - #### protected GrailsTestTransactionInterceptor createTransactionInterceptor()

    - #### void destroy()

    - #### protected java.lang.Object destroyRequestEnvironmentIfNecessary()

    - #### protected java.lang.Object destroyTransactionIfNecessary()

    - #### protected java.lang.String getControllerName()

    - #### void init()

    - #### protected java.lang.Object initRequestEnvironmentIfNecessary()

    - #### protected java.lang.Object initTransactionIfNecessary()

    - #### void wrap(groovy.lang.Closure body)